Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06096 Sound Minor Always Dec 8, 2015, 02:47 31 days ago
Tester kazblox View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.168 Fixed in Version 0.247 Build 64-bit
Fixed in Git Commit ffc0db2 Github Pull Request #
Summary 06096: centiped and clones: Incorrect firing sound
Description The firing sound has a different waveform than what it is on actual PCB footage. See more in Attachments and Additional Information.

PCB reference footage: (30 seconds in)
Steps To Reproduce 1. Start Centipede in MAME
2. Simply press the fire button
Additional Information POKEY rewrite.

*if anyone can provide an inline PCB recording that would be great.

pcbmic.wav - Real PCB recording via mic
pre_0146.wav - Taken from MAME 0.144, before the POKEY rewrite.
wrong.wav - Taken from MAME 0.168.
Github Commit
Flags
Regression Version 0.146
Affected Sets / Systems centiped and clones
Attached Files
wav file icon pcbmic.wav (61,882 bytes) Dec 8, 2015, 21:37 Uploaded by kazblox
wav file icon wrong.wav (59,986 bytes) Dec 8, 2015, 21:37 Uploaded by kazblox
wav file icon pre_0146.wav (53,002 bytes) Dec 8, 2015, 21:39 Uploaded by kazblox
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.12230
Tafoid
Administrator
Dec 8, 2015, 05:20
I have the date of changing happening just before 0.146 went to press when the new Pokey device was being made and new filters and other such things were being added. Specifically, I have a few binaries during that period (may 17-may 20 2012) and the sound completely regressed first, then was fixed, then it appeared to change as it is shown today when the new device driver was switched over from the legacy implementation on May 19, 2012. I would assume the issue is completely with the new implementation as the legacy implementation was killed off shortly thereafter.
User avatar
No.20487
M.A.S.H.
Senior Tester
Aug 25, 2022, 21:54
The POKEY emulation have been improved:
https://git.redump.net/mame/commit/?id=ffc0db2fdc8aac2258877e23fadee5265ad7a1c3

Is now the firing sound better?
User avatar
No.20488
kmg
Tester
Aug 26, 2022, 00:17
Sounds like it is close or identical to the video footage to my ears, though it’s a noisy game and the sound is hard to isolate. Anyway it is certainly much improved. Shot sound now has the lower pitched-drum-like component to it. Get close to some mushrooms and you can hear the rapid fire sounds night and day compared to previous MAME sound.